Package org.opensaml.saml.saml1.core

# Interface ConfirmationMethod

All Superinterfaces:
  `SAMLObject`, `XMLObject`, `XSURI`

All Known Implementing Classes:
  `ConfirmationMethodImpl`

public interface ConfirmationMethod extends SAMLObject, XSURI
This interface defines how the object representing a SAML1 `ConfirmationMethod` element behaves.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element name, no namespace.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`METHOD_ARTIFACT`
Artifact confirmation method.
`static final String`
`METHOD_ARTIFACT_DEPRECATED`
Deprecated.
`static final String`
`METHOD_BEARER`
Bearer confirmation method.
`static final String`
`METHOD_HOLDER_OF_KEY`
Holder of Key confirmation method.
`static final String`
`METHOD_SENDER_VOUCHES`
Sender-Vouches confirmation method.

### Fields inherited from interface org.opensaml.core.xml.schema.XSURI

`TYPE_LOCAL_NAME, TYPE_NAME`

## Method Summary

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

### Methods inherited from interface org.opensaml.core.xml.schema.XSURI

`getURI, setURI`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Element name, no namespace.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### METHOD_BEARER

@Nonnull @NotEmpty static final String METHOD_BEARER
Bearer confirmation method.

See Also:
  - Constant Field Values

### METHOD_ARTIFACT

@Nonnull @NotEmpty static final String METHOD_ARTIFACT
Artifact confirmation method.

See Also:
  - Constant Field Values

### METHOD_ARTIFACT_DEPRECATED

@Deprecated @Nonnull @NotEmpty static final String METHOD_ARTIFACT_DEPRECATED
Deprecated.
Deprecated Artifact confirmation method.

See Also:
  - Constant Field Values

### METHOD_HOLDER_OF_KEY

@Nonnull @NotEmpty static final String METHOD_HOLDER_OF_KEY
Holder of Key confirmation method.

See Also:
  - Constant Field Values

### METHOD_SENDER_VOUCHES

@Nonnull @NotEmpty static final String METHOD_SENDER_VOUCHES
Sender-Vouches confirmation method.

See Also:
  - Constant Field Values